$kind: http-request
url: "{{sahara_local}}sales/invoices/f362e842-a29f-473b-b07c-10d10c192327"
method: PUT
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \ \r

    \  \"party_id\": \"c54a9339-12ef-4764-9c9d-1b9a3ac9f777\",\r

    \  \"party_type\": \"customer\", //customer,supplier,agent\r

    \    \"sale_order_id\": \"3b9a9e99-aa4c-40f6-bf57-5ff8887b66ae\",\r

    \  \"issue_date\": \"2025-10-03\",\r

    \  \"due_date\": \"2025-10-17\",\r

    \  \"currency_id\": \"e853eeb9-c6ce-4a91-86ea-f36cdf5bf529\",\r

    \  \"notes\": \"Invoice for September deliveries\",\r

    \  \"payment_instructions\": \"Bank Transfer to ABC Bank, A/C
    1234567890\",\r

    \  \"lines\": [\r

    \    {\r

    \      \"billable_id\": \"ec696c60-9389-41b2-918a-e6b97a24c3c5\",\r

    \      \"item_type\": \"custom\", //'product', 'service', 'custom'\r

    \      //\"item_id\": \"UOM\",\r

    \      //\"uom_id\": \"MA\",\r

    \      \"description\": \"Special Packaging\",\r

    \      \"quantity\": 2,\r

    \      \"unit_price\": 25.00,\r

    \      \"tax_pct\": 18,\r

    \      \"line_total\": 59.00\r

    \    }\r

    \  ]\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 4000
